function L=fatt_chol(A);
%L=fatt_chol(A)
%calcola la fattorizzazione L'L di Cholesky di una matrice definita
%positiva A

n=size(A,1);

L=zeros(n); %all'inizio L e' vuota
for riga=1:n
    for colonna=1:riga
     somma=L(riga,1:colonna-1)*L(colonna,1:colonna-1)'; %somma che compare nel metodo diretto
     if (colonna==riga) L(riga,colonna)=sqrt(A(riga,colonna)-somma);%caso di una casella sulla diagonale
     else
         L(riga,colonna)=(A(riga,colonna)-somma)/L(colonna,colonna);%caso di una casella non sulla diagonale
     end
    end
end

        